# Create a FinancialAddress object

Create a new FinancialAddress for a FinancialAccount.

## Request

```curl
curl -X POST https://api.stripe.com/v2/money_management/financial_addresses \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2025-09-30.preview" \
  --json '{
    "financial_account": "fa_654f0m3x1JLdhVIIIT1A16O0lef0dSQgZ0EhGyZsQCXQ28m",
    "type": "us_bank_account"
  }'
```

### Response

```json
{
  "id": "finaddr_61O5ng8AAMZt30I2YH16O0lef0dSQgZ0EhGyZsQCXQHG4",
  "object": "v2.money_management.financial_address",
  "credentials": null,
  "status": "pending",
  "financial_account": "fa_654f0m3x1JLdhVIIIT1A16O0lef0dSQgZ0EhGyZsQCXQ28m",
  "created": "2023-03-30T17:22:06.188Z",
  "currency": "usd",
  "livemode": true
}
```

## Parameters

- `financial_account` (string, required)
  The ID of the FinancialAccount the new FinancialAddress should be associated with.

- `type` (enum, required)
  The type of FinancialAddress details to provision.
Possible enum values:
  - `gb_bank_account`
    A UK Bank Account credential. This indicates that the associated credentials object contains unique banking details pertinent to a UK bank account.

  - `sepa_bank_account`
    A SEPA Bank account credential. This indicates that the associated credentials object contains unique banking details pertinent to a SEPA bank account.

  - `us_bank_account`
    A US Bank Account credential. This indicates that the associated credentials object contains unique banking details pertinent to a US bank account.

## Returns

## Response attributes

- `id` (string)
  The ID of a FinancialAddress.

- `object` (string, value is "v2.money_management.financial_address")
  String representing the object’s type. Objects of the same type share the same value of the object field.

- `created` (timestamp)
  The creation timestamp of the FinancialAddress.

- [`credentials`](https://docs.stripe.com/api/v2/money-management/financial-addresses/create.md?query=credentials) (object, nullable)
  Object indicates the type of credentials that have been allocated and attached to the FinancialAddress. It contains all necessary banking details with which to perform money movements with the FinancialAddress. This field is only available for FinancialAddresses with an active status.

- `currency` (enum)
  The currency the FinancialAddress supports.

- `financial_account` (string)
  A ID of the FinancialAccount this FinancialAddress corresponds to.

- `livemode` (boolean)
  Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.

- `settlement_currency` (enum, nullable)
  The currency the FinancialAddress settles into the FinancialAccount.

- `status` (enum)
  An enum representing the status of the FinancialAddress. This indicates whether or not the FinancialAddress can be used for any money movement flows.
Possible enum values:
  - `active`
    The Financial Address is active.

  - `archived`
    The Financial Address is archived, it cannot be used anymore.

  - `failed`
    The Financial Address creation failed.

  - `pending`
    The Financial Address is being created.

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | storer_capability_missing | The required storer capabilities are missing. |
| 400 | storer_capability_not_active | The required storer capabilities are not active. |
| 400 | unsupported_currency | The currency is not supported for Financial Accounts. |
| 404 | not_found | The resource wasn’t found. |
| 409 | idempotency_error | An idempotent retry occurred with different request parameters. |
